from __future__ import annotations
from typing import TypeVar
from artiq.experiment import *
from artiq.coredevice.core import Core
from numpy import int32

T = TypeVar('T')
@rpc
def output(a: T):
    print(a)

@nac3
class A:
    i: Kernel[int32]
    a: Kernel[A]
    def __init__(self, i):
        self.i = i
        self.a = self

    @kernel
    def f1(self, other: A) -> int32:
        return self.i + other.i
    
    @kernel
    def f2(self, other: A) -> int32:
        return self.i - other.i

aa = A(10)
bb = A(20)
cc = A(30)
dd = A(40)

@nac3
class NAC3Devices(EnvExperiment):
    core: Kernel[Core]
    a: Kernel[A]
    b: Kernel[A]

    def build(self):
        self.setattr_device("core")
        self.a = A(3)
        self.b = A(4)
    
    @kernel
    def run(self):
        pass
        f0(24, 36)
        f1(24, 36)
        f2(24, 36)
        f3(24, 36)
        f4(24, 36)
        f5(24, 36)
        f6(24, 36)
        f7(24, 36)
        f8(24, 36)
        f9(24, 36)

@kernel
def f0(a: int32, b: int32):
    for iter in range(3):
        f8(iter, b)
        f6(iter, b)
        [1.2, -5.3, 3.4, 4.5][93:85:3]
        [1.2, -5.3, 3.4, 4.5][59:36:62]
        [1.2, -5.3, 3.4, 4.5][90:87:85]
        [1.2, -5.3, 3.4, 4.5][70:76:86]
        f0(iter, b)
        [1.2, -5.3, 3.4, 4.5][87:81:69]
        f1(iter, b)
        f2(a, b)
        [1.2, -5.3, 3.4, 4.5][90:99:85]
        f5(iter, b)
        f4(a, b)
        [1.2, -5.3, 3.4, 4.5][13:69:19]
        f4(a, b)
        f8(iter, b)
        f1(iter, b)
        [1.2, -5.3, 3.4, 4.5][13:12:92]
        [1.2, -5.3, 3.4, 4.5][38:55:65]
        f1(a, b)
        [1.2, -5.3, 3.4, 4.5][98:39:76]
        f4(a, b)
        f2(iter, b)
        [1.2, -5.3, 3.4, 4.5][22:50:16]
        f3(a, b)
        f5(iter, b)
        f8(iter, b)
        f1(iter, b)
        [1.2, -5.3, 3.4, 4.5][21:52:61]
        f1(iter, b)
        [1.2, -5.3, 3.4, 4.5][72:26:80]
        [1.2, -5.3, 3.4, 4.5][5:6:25]
        f2(iter, b)
        [1.2, -5.3, 3.4, 4.5][34:40:4]
        f1(iter, b)
        [1.2, -5.3, 3.4, 4.5][77:69:54]
        f9(iter, b)
        [1.2, -5.3, 3.4, 4.5][69:35:96]
        f3(iter, b)
        [1.2, -5.3, 3.4, 4.5][89:74:30]
        f1(iter, b)
    if (a > b):
        [1.2, -5.3, 3.4, 4.5][57:81:55]
        f3(a, b)
        f3(a, b)
    else:
        f4(a, b)
        f9(a, b)
        [1.2, -5.3, 3.4, 4.5][65:48:15]
    

@kernel
def f1(a: int32, b: int32):
    if (b < a):
        f5(a, b)
        f5(a, b)
        [1.2, -5.3, 3.4, 4.5][32:59:56]
        [1.2, -5.3, 3.4, 4.5][29:13:56]
        [1.2, -5.3, 3.4, 4.5][13:54:78]
        [1.2, -5.3, 3.4, 4.5][88:86:1]
        [1.2, -5.3, 3.4, 4.5][27:81:78]
        f4(a, b)
        [1.2, -5.3, 3.4, 4.5][38:86:97]
    else:
        f1(a, b)
        [1.2, -5.3, 3.4, 4.5][34:20:65]
        [1.2, -5.3, 3.4, 4.5][4:79:27]
        [1.2, -5.3, 3.4, 4.5][86:30:96]
        f7(a, b)
        [1.2, -5.3, 3.4, 4.5][21:39:30]
        f4(a, b)
        f4(a, b)
        f9(a, b)
        f8(a, b)
        f8(a, b)
        [1.2, -5.3, 3.4, 4.5][87:69:44]
        [1.2, -5.3, 3.4, 4.5][93:3:5]
        f7(a, b)
        [1.2, -5.3, 3.4, 4.5][26:31:97]
        [1.2, -5.3, 3.4, 4.5][86:96:55]
        [1.2, -5.3, 3.4, 4.5][91:31:34]
        f2(a, b)
        f8(a, b)
        [1.2, -5.3, 3.4, 4.5][75:29:80]
        f4(a, b)
        [1.2, -5.3, 3.4, 4.5][18:55:50]
        f1(a, b)
        f0(a, b)
    for iter in range(10):
        f2(a, b)
        [1.2, -5.3, 3.4, 4.5][76:81:94]
        f9(iter, b)
        f8(iter, b)
        [1.2, -5.3, 3.4, 4.5][47:50:88]
        f5(iter, b)
        f1(a, b)
        f0(iter, b)
        [1.2, -5.3, 3.4, 4.5][71:10:13]
    for iter in range(b):
        [1.2, -5.3, 3.4, 4.5][99:56:66]
        [1.2, -5.3, 3.4, 4.5][92:64:49]
        [1.2, -5.3, 3.4, 4.5][34:62:100]
        [1.2, -5.3, 3.4, 4.5][79:56:68]
    

@kernel
def f2(a: int32, b: int32):
    if (a > b):
        [1.2, -5.3, 3.4, 4.5][77:27:89]
        f8(a, b)
        f7(a, b)
        [1.2, -5.3, 3.4, 4.5][55:97:69]
        f8(a, b)
        f4(a, b)
        f8(a, b)
        [1.2, -5.3, 3.4, 4.5][65:92:19]
        f6(a, b)
        [1.2, -5.3, 3.4, 4.5][29:17:20]
        f5(a, b)
        f9(a, b)
        [1.2, -5.3, 3.4, 4.5][69:20:39]
        f2(a, b)
        f6(a, b)
        [1.2, -5.3, 3.4, 4.5][53:87:7]
        f0(a, b)
        f7(a, b)
        f8(a, b)
        [1.2, -5.3, 3.4, 4.5][7:34:83]
        [1.2, -5.3, 3.4, 4.5][38:80:8]
        f0(a, b)
        [1.2, -5.3, 3.4, 4.5][7:75:79]
        [1.2, -5.3, 3.4, 4.5][100:6:95]
        [1.2, -5.3, 3.4, 4.5][6:73:95]
        f8(a, b)
        f0(a, b)
        f0(a, b)
        [1.2, -5.3, 3.4, 4.5][69:5:45]
        [1.2, -5.3, 3.4, 4.5][90:45:48]
        [1.2, -5.3, 3.4, 4.5][29:76:81]
        f1(a, b)
        f6(a, b)
        [1.2, -5.3, 3.4, 4.5][62:4:39]
        f6(a, b)
        [1.2, -5.3, 3.4, 4.5][50:61:42]
        [1.2, -5.3, 3.4, 4.5][18:11:51]
    else:
        [1.2, -5.3, 3.4, 4.5][55:95:87]
        [1.2, -5.3, 3.4, 4.5][21:66:14]
        f6(a, b)
        [1.2, -5.3, 3.4, 4.5][98:95:82]
    for iter in range(8):
        [1.2, -5.3, 3.4, 4.5][7:77:25]
        f3(iter, b)
        f5(iter, b)
        f4(iter, b)
        [1.2, -5.3, 3.4, 4.5][8:76:98]
        f1(a, b)
    

@kernel
def f3(a: int32, b: int32):
    if (b < a):
        f1(a, b)
    else:
        [1.2, -5.3, 3.4, 4.5][53:61:81]
    if (a > b):
        f7(a, b)
        [1.2, -5.3, 3.4, 4.5][45:80:24]
    else:
        [1.2, -5.3, 3.4, 4.5][99:94:55]
        [1.2, -5.3, 3.4, 4.5][46:56:84]
        [1.2, -5.3, 3.4, 4.5][90:37:54]
        f8(a, b)
        [1.2, -5.3, 3.4, 4.5][17:26:8]
        f9(a, b)
    for iter in range(a):
        [1.2, -5.3, 3.4, 4.5][2:54:61]
        [1.2, -5.3, 3.4, 4.5][28:33:100]
        f6(a, b)
        f0(iter, b)
        [1.2, -5.3, 3.4, 4.5][42:13:51]
        [1.2, -5.3, 3.4, 4.5][39:88:15]
        f4(a, b)
        [1.2, -5.3, 3.4, 4.5][10:85:91]
        [1.2, -5.3, 3.4, 4.5][31:5:94]
        f0(a, b)
        f6(a, b)
        [1.2, -5.3, 3.4, 4.5][22:17:19]
        [1.2, -5.3, 3.4, 4.5][86:96:20]
        f0(a, b)
        f0(a, b)
        f0(iter, b)
        [1.2, -5.3, 3.4, 4.5][50:81:90]
        f7(a, b)
        [1.2, -5.3, 3.4, 4.5][45:40:94]
        f3(iter, b)
        [1.2, -5.3, 3.4, 4.5][39:80:91]
        [1.2, -5.3, 3.4, 4.5][4:44:62]
        [1.2, -5.3, 3.4, 4.5][4:13:38]
        [1.2, -5.3, 3.4, 4.5][56:10:85]
        [1.2, -5.3, 3.4, 4.5][26:82:64]
    for iter in range(10):
        f6(iter, b)
        [1.2, -5.3, 3.4, 4.5][32:78:86]
        f1(iter, b)
        f9(a, b)
    for iter in range(b):
        f3(a, b)
        f7(a, b)
        f9(iter, b)
        [1.2, -5.3, 3.4, 4.5][53:4:58]
    

@kernel
def f4(a: int32, b: int32):
    for iter in range(b):
        [1.2, -5.3, 3.4, 4.5][12:25:39]
        f7(iter, b)
        f7(iter, b)
        f2(iter, b)
        [1.2, -5.3, 3.4, 4.5][35:82:27]
        f1(iter, b)
        [1.2, -5.3, 3.4, 4.5][25:14:77]
        [1.2, -5.3, 3.4, 4.5][83:29:71]
        [1.2, -5.3, 3.4, 4.5][16:62:54]
        f7(iter, b)
        [1.2, -5.3, 3.4, 4.5][28:72:81]
        f6(iter, b)
        f4(iter, b)
        f7(a, b)
        [1.2, -5.3, 3.4, 4.5][6:72:97]
        [1.2, -5.3, 3.4, 4.5][65:33:25]
        [1.2, -5.3, 3.4, 4.5][73:16:19]
        [1.2, -5.3, 3.4, 4.5][43:86:80]
        [1.2, -5.3, 3.4, 4.5][76:14:11]
        f4(a, b)
        [1.2, -5.3, 3.4, 4.5][94:58:17]
        [1.2, -5.3, 3.4, 4.5][83:94:45]
        [1.2, -5.3, 3.4, 4.5][77:99:77]
        f0(a, b)
        [1.2, -5.3, 3.4, 4.5][9:21:70]
    for iter in range(6):
        [1.2, -5.3, 3.4, 4.5][28:4:92]
        f4(a, b)
        [1.2, -5.3, 3.4, 4.5][30:94:42]
        f1(a, b)
    for iter in range(a):
        f1(iter, b)
        [1.2, -5.3, 3.4, 4.5][97:90:96]
        f3(iter, b)
        f1(iter, b)
        f4(a, b)
        [1.2, -5.3, 3.4, 4.5][91:70:58]
    for iter in range(a):
        f1(a, b)
        f1(a, b)
        f8(iter, b)
        f4(iter, b)
        f1(iter, b)
        f3(iter, b)
        f9(iter, b)
    if (b < a):
        f9(a, b)
    else:
        f0(a, b)
    

@kernel
def f5(a: int32, b: int32):
    for iter in range(a):
        [1.2, -5.3, 3.4, 4.5][70:12:44]
        [1.2, -5.3, 3.4, 4.5][26:50:66]
        f0(iter, b)
        [1.2, -5.3, 3.4, 4.5][85:100:75]
        f1(iter, b)
        [1.2, -5.3, 3.4, 4.5][50:75:74]
        [1.2, -5.3, 3.4, 4.5][62:38:15]
        f5(iter, b)
        f1(a, b)
        [1.2, -5.3, 3.4, 4.5][19:5:66]
        [1.2, -5.3, 3.4, 4.5][96:49:59]
        [1.2, -5.3, 3.4, 4.5][47:56:7]
        [1.2, -5.3, 3.4, 4.5][5:100:2]
        f0(iter, b)
        f9(a, b)
        f9(a, b)
        [1.2, -5.3, 3.4, 4.5][82:77:89]
        f4(iter, b)
        [1.2, -5.3, 3.4, 4.5][80:93:9]
        f0(iter, b)
        [1.2, -5.3, 3.4, 4.5][25:19:66]
        [1.2, -5.3, 3.4, 4.5][92:81:37]
        [1.2, -5.3, 3.4, 4.5][100:20:6]
        f2(a, b)
        f8(a, b)
        f3(iter, b)
        [1.2, -5.3, 3.4, 4.5][34:37:73]
        f9(iter, b)
        f7(a, b)
        [1.2, -5.3, 3.4, 4.5][99:65:47]
        [1.2, -5.3, 3.4, 4.5][91:34:24]
        f7(a, b)
        [1.2, -5.3, 3.4, 4.5][17:97:38]
        [1.2, -5.3, 3.4, 4.5][35:4:23]
        f3(iter, b)
        [1.2, -5.3, 3.4, 4.5][2:96:13]
        f8(a, b)
        f4(a, b)
        f9(a, b)
    if ([i for i in range(a + b)][6:15:3][1] > (b * 4)):
        f0(a, b)
    else:
        [1.2, -5.3, 3.4, 4.5][13:79:32]
        [1.2, -5.3, 3.4, 4.5][35:55:95]
        f3(a, b)
    if (b < a):
        f6(a, b)
    else:
        [1.2, -5.3, 3.4, 4.5][41:22:68]
    

@kernel
def f6(a: int32, b: int32):
    if ([i for i in range(a + b)][2:19:1][3] > (b * 19)):
        f0(a, b)
        f6(a, b)
        [1.2, -5.3, 3.4, 4.5][48:27:80]
        [1.2, -5.3, 3.4, 4.5][4:43:60]
        f1(a, b)
        f1(a, b)
        f5(a, b)
        f2(a, b)
        [1.2, -5.3, 3.4, 4.5][64:88:38]
        f8(a, b)
        [1.2, -5.3, 3.4, 4.5][30:3:82]
        f8(a, b)
        [1.2, -5.3, 3.4, 4.5][98:78:45]
        f2(a, b)
        [1.2, -5.3, 3.4, 4.5][44:53:30]
        [1.2, -5.3, 3.4, 4.5][67:29:96]
    else:
        f3(a, b)
        f7(a, b)
        f4(a, b)
        f9(a, b)
        [1.2, -5.3, 3.4, 4.5][81:59:55]
    for iter in range(a):
        f1(iter, b)
        [1.2, -5.3, 3.4, 4.5][21:26:68]
        f6(iter, b)
        [1.2, -5.3, 3.4, 4.5][52:64:90]
        [1.2, -5.3, 3.4, 4.5][26:41:90]
        f5(iter, b)
        f5(a, b)
        [1.2, -5.3, 3.4, 4.5][2:91:92]
        f6(iter, b)
        f4(a, b)
        [1.2, -5.3, 3.4, 4.5][89:57:90]
        f1(a, b)
        f7(a, b)
        f7(a, b)
        f5(iter, b)
    for iter in range(a):
        f4(iter, b)
        f3(iter, b)
        [1.2, -5.3, 3.4, 4.5][38:4:5]
        f6(iter, b)
        [1.2, -5.3, 3.4, 4.5][97:17:54]
    if ([i for i in range(a + b)][2:10:3][2] > (b * 16)):
        f1(a, b)
        [1.2, -5.3, 3.4, 4.5][76:3:15]
    else:
        f2(a, b)
    

@kernel
def f7(a: int32, b: int32):
    for iter in range(b):
        [1.2, -5.3, 3.4, 4.5][14:22:77]
        [1.2, -5.3, 3.4, 4.5][84:44:79]
        [1.2, -5.3, 3.4, 4.5][58:48:78]
        f8(a, b)
        [1.2, -5.3, 3.4, 4.5][94:36:85]
        [1.2, -5.3, 3.4, 4.5][12:19:33]
        [1.2, -5.3, 3.4, 4.5][22:78:61]
        f6(a, b)
        f0(iter, b)
    for iter in range(b):
        f1(iter, b)
        [1.2, -5.3, 3.4, 4.5][76:89:7]
        f1(iter, b)
        f3(a, b)
        f8(iter, b)
        f7(a, b)
        f8(a, b)
        [1.2, -5.3, 3.4, 4.5][90:17:32]
        [1.2, -5.3, 3.4, 4.5][51:89:50]
        [1.2, -5.3, 3.4, 4.5][80:10:81]
        [1.2, -5.3, 3.4, 4.5][12:47:61]
        f8(iter, b)
        f9(iter, b)
        f4(iter, b)
        [1.2, -5.3, 3.4, 4.5][14:37:32]
        f3(a, b)
        f6(iter, b)
        [1.2, -5.3, 3.4, 4.5][96:81:67]
        [1.2, -5.3, 3.4, 4.5][84:35:76]
        [1.2, -5.3, 3.4, 4.5][32:25:43]
        f7(a, b)
        f6(a, b)
        [1.2, -5.3, 3.4, 4.5][36:6:1]
        [1.2, -5.3, 3.4, 4.5][100:59:26]
        f6(a, b)
        [1.2, -5.3, 3.4, 4.5][72:29:93]
        f3(iter, b)
        f7(iter, b)
        [1.2, -5.3, 3.4, 4.5][70:28:34]
        f3(a, b)
    for iter in range(a):
        [1.2, -5.3, 3.4, 4.5][49:32:66]
        [1.2, -5.3, 3.4, 4.5][1:54:78]
        f3(iter, b)
    for iter in range(4):
        f5(a, b)
        f3(a, b)
        [1.2, -5.3, 3.4, 4.5][71:69:21]
        f6(a, b)
    

@kernel
def f8(a: int32, b: int32):
    if (a > b):
        f2(a, b)
        f8(a, b)
        f2(a, b)
        [1.2, -5.3, 3.4, 4.5][52:14:39]
        f0(a, b)
        f1(a, b)
    else:
        [1.2, -5.3, 3.4, 4.5][76:58:29]
        [1.2, -5.3, 3.4, 4.5][42:47:53]
        [1.2, -5.3, 3.4, 4.5][5:21:89]
        [1.2, -5.3, 3.4, 4.5][77:17:46]
        [1.2, -5.3, 3.4, 4.5][14:78:99]
    for iter in range(b):
        [1.2, -5.3, 3.4, 4.5][22:18:46]
        [1.2, -5.3, 3.4, 4.5][28:4:28]
        [1.2, -5.3, 3.4, 4.5][49:39:2]
        [1.2, -5.3, 3.4, 4.5][91:16:32]
        f9(a, b)
        [1.2, -5.3, 3.4, 4.5][80:93:8]
        f5(a, b)
        f0(iter, b)
        f2(a, b)
        f2(iter, b)
        [1.2, -5.3, 3.4, 4.5][9:51:41]
        [1.2, -5.3, 3.4, 4.5][83:55:4]
        f0(a, b)
        f4(a, b)
        [1.2, -5.3, 3.4, 4.5][71:100:16]
        [1.2, -5.3, 3.4, 4.5][4:84:96]
        [1.2, -5.3, 3.4, 4.5][54:47:67]
        f9(iter, b)
        [1.2, -5.3, 3.4, 4.5][59:78:9]
        f8(a, b)
        f1(iter, b)
        f9(iter, b)
        f4(a, b)
        [1.2, -5.3, 3.4, 4.5][48:30:81]
        [1.2, -5.3, 3.4, 4.5][71:17:73]
        f1(a, b)
        [1.2, -5.3, 3.4, 4.5][42:63:23]
        f5(a, b)
        f4(a, b)
    for iter in range(a):
        f4(a, b)
        f6(a, b)
        [1.2, -5.3, 3.4, 4.5][94:11:27]
        f3(a, b)
        [1.2, -5.3, 3.4, 4.5][20:48:41]
        f9(a, b)
    

@kernel
def f9(a: int32, b: int32):
    if (b < a):
        f7(a, b)
        f3(a, b)
        [1.2, -5.3, 3.4, 4.5][95:84:10]
    else:
        [1.2, -5.3, 3.4, 4.5][72:67:68]
    for iter in range(8):
        f7(a, b)
        [1.2, -5.3, 3.4, 4.5][84:13:55]
        f2(iter, b)
        [1.2, -5.3, 3.4, 4.5][35:7:56]
        f6(a, b)
        [1.2, -5.3, 3.4, 4.5][68:43:70]
        f0(iter, b)
        f8(iter, b)
        [1.2, -5.3, 3.4, 4.5][24:81:61]
        [1.2, -5.3, 3.4, 4.5][22:89:81]
        f7(iter, b)
        [1.2, -5.3, 3.4, 4.5][16:71:48]
        [1.2, -5.3, 3.4, 4.5][17:45:78]
        [1.2, -5.3, 3.4, 4.5][75:67:10]
        [1.2, -5.3, 3.4, 4.5][79:3:95]
        [1.2, -5.3, 3.4, 4.5][55:77:24]
        [1.2, -5.3, 3.4, 4.5][8:70:65]
        [1.2, -5.3, 3.4, 4.5][84:75:63]
        f2(iter, b)
        f7(iter, b)
    for iter in range(7):
        [1.2, -5.3, 3.4, 4.5][49:49:79]
        f4(a, b)
        f3(a, b)
        f9(iter, b)
        [1.2, -5.3, 3.4, 4.5][8:60:64]
        [1.2, -5.3, 3.4, 4.5][16:90:32]
    for iter in range(a):
        [1.2, -5.3, 3.4, 4.5][44:55:58]
        f6(iter, b)
        [1.2, -5.3, 3.4, 4.5][67:29:64]
        f4(a, b)
        [1.2, -5.3, 3.4, 4.5][61:27:24]
        [1.2, -5.3, 3.4, 4.5][78:32:46]
        f6(iter, b)
        f1(iter, b)
    if (b < a):
        f4(a, b)
        f2(a, b)
        [1.2, -5.3, 3.4, 4.5][81:97:84]
    else:
        f6(a, b)
        f8(a, b)
    