from __future__ import annotations
from typing import TypeVar
from artiq.experiment import *
from artiq.coredevice.core import Core
from numpy import int32

T = TypeVar('T')
@rpc
def output(a: T):
    print(a)

@nac3
class A:
    i: Kernel[int32]
    a: Kernel[A]
    def __init__(self, i):
        self.i = i
        self.a = self

    @kernel
    def f1(self, other: A) -> int32:
        return self.i + other.i
    
    @kernel
    def f2(self, other: A) -> int32:
        return self.i - other.i

aa = A(10)
bb = A(20)
cc = A(30)
dd = A(40)

@nac3
class NAC3Devices(EnvExperiment):
    core: Kernel[Core]
    a: Kernel[A]
    b: Kernel[A]

    def build(self):
        self.setattr_device("core")
        self.a = A(3)
        self.b = A(4)
    
    @kernel
    def run(self):
        pass
        f0(24, 36)
        f1(24, 36)
        f2(24, 36)
        f3(24, 36)
        f4(24, 36)
        f5(24, 36)
        f6(24, 36)
        f7(24, 36)
        f8(24, 36)
        f9(24, 36)
        f10(24, 36)
        f11(24, 36)
        f12(24, 36)
        f13(24, 36)
        f14(24, 36)
        f15(24, 36)
        f16(24, 36)
        f17(24, 36)
        f18(24, 36)
        f19(24, 36)

@kernel
def f0(a: int32, b: int32):
    for iter in range(a):
        [1.2, -5.3, 3.4, 4.5][33:61:84]
        f2(a, b)
        f4(a, b)
        f10(iter, b)
        f17(a, b)
        f9(a, b)
        [1.2, -5.3, 3.4, 4.5][33:58:56]
        [1.2, -5.3, 3.4, 4.5][82:1:42]
        [1.2, -5.3, 3.4, 4.5][2:79:22]
        f6(iter, b)
        f2(iter, b)
        [1.2, -5.3, 3.4, 4.5][37:58:50]
        [1.2, -5.3, 3.4, 4.5][67:47:80]
        [1.2, -5.3, 3.4, 4.5][82:30:85]
    for iter in range(6):
        f10(iter, b)
        f6(a, b)
        [1.2, -5.3, 3.4, 4.5][60:17:19]
        f2(iter, b)
        f15(iter, b)
    if ([i for i in range(a + b)][2:19:2][4] > (b * 3)):
        [1.2, -5.3, 3.4, 4.5][29:13:60]
    else:
        f7(a, b)
    if (b < a):
        f7(a, b)
        [1.2, -5.3, 3.4, 4.5][43:77:21]
    else:
        [1.2, -5.3, 3.4, 4.5][54:57:21]
        f11(a, b)
        [1.2, -5.3, 3.4, 4.5][25:51:68]
    if (a > b):
        f12(a, b)
        f2(a, b)
        f16(a, b)
        f12(a, b)
        [1.2, -5.3, 3.4, 4.5][77:44:27]
    else:
        f9(a, b)
        [1.2, -5.3, 3.4, 4.5][38:26:58]
        [1.2, -5.3, 3.4, 4.5][25:2:93]
    if (b < a):
        [1.2, -5.3, 3.4, 4.5][64:8:59]
    else:
        [1.2, -5.3, 3.4, 4.5][73:34:12]
        f10(a, b)
        f7(a, b)
        f16(a, b)
        [1.2, -5.3, 3.4, 4.5][70:93:92]
    

@kernel
def f1(a: int32, b: int32):
    for iter in range(8):
        f6(a, b)
        [1.2, -5.3, 3.4, 4.5][46:97:18]
        [1.2, -5.3, 3.4, 4.5][17:14:17]
        f17(iter, b)
        [1.2, -5.3, 3.4, 4.5][6:50:29]
        f8(a, b)
        [1.2, -5.3, 3.4, 4.5][81:43:67]
        f19(a, b)
        f8(a, b)
        f11(a, b)
        [1.2, -5.3, 3.4, 4.5][18:58:5]
        [1.2, -5.3, 3.4, 4.5][13:96:35]
        f0(a, b)
        [1.2, -5.3, 3.4, 4.5][42:70:70]
        f16(iter, b)
        f7(a, b)
        f10(a, b)
        f9(iter, b)
        f4(a, b)
        [1.2, -5.3, 3.4, 4.5][58:1:21]
        [1.2, -5.3, 3.4, 4.5][46:77:53]
    for iter in range(a):
        [1.2, -5.3, 3.4, 4.5][37:60:51]
        [1.2, -5.3, 3.4, 4.5][9:59:86]
        f11(iter, b)
        [1.2, -5.3, 3.4, 4.5][58:76:12]
        [1.2, -5.3, 3.4, 4.5][60:8:60]
        [1.2, -5.3, 3.4, 4.5][67:5:47]
        [1.2, -5.3, 3.4, 4.5][10:64:11]
        f10(a, b)
        [1.2, -5.3, 3.4, 4.5][54:97:24]
        f12(a, b)
        f11(iter, b)
        [1.2, -5.3, 3.4, 4.5][91:5:84]
        [1.2, -5.3, 3.4, 4.5][53:44:95]
    for iter in range(7):
        [1.2, -5.3, 3.4, 4.5][26:9:56]
        f19(a, b)
        [1.2, -5.3, 3.4, 4.5][35:86:13]
    if ([i for i in range(a + b)][9:23:3][3] > (b * 16)):
        f17(a, b)
        [1.2, -5.3, 3.4, 4.5][80:50:84]
        f17(a, b)
    else:
        [1.2, -5.3, 3.4, 4.5][36:66:64]
    for iter in range(a):
        [1.2, -5.3, 3.4, 4.5][92:23:4]
        [1.2, -5.3, 3.4, 4.5][35:96:8]
        f5(iter, b)
    

@kernel
def f2(a: int32, b: int32):
    for iter in range(b):
        [1.2, -5.3, 3.4, 4.5][31:4:46]
        [1.2, -5.3, 3.4, 4.5][26:78:35]
        f14(a, b)
        [1.2, -5.3, 3.4, 4.5][26:48:55]
        f1(a, b)
        [1.2, -5.3, 3.4, 4.5][86:45:46]
        f13(a, b)
        f0(iter, b)
        [1.2, -5.3, 3.4, 4.5][50:56:54]
        [1.2, -5.3, 3.4, 4.5][8:45:4]
        f15(a, b)
        f9(a, b)
        f15(iter, b)
        f2(iter, b)
        f18(iter, b)
        f14(a, b)
        [1.2, -5.3, 3.4, 4.5][67:95:4]
        f3(a, b)
        f15(iter, b)
        [1.2, -5.3, 3.4, 4.5][7:60:71]
        f8(a, b)
        f1(iter, b)
        f18(iter, b)
        [1.2, -5.3, 3.4, 4.5][74:37:31]
        f11(a, b)
        f12(a, b)
        [1.2, -5.3, 3.4, 4.5][30:6:17]
        [1.2, -5.3, 3.4, 4.5][51:26:20]
    for iter in range(b):
        [1.2, -5.3, 3.4, 4.5][55:74:31]
        [1.2, -5.3, 3.4, 4.5][61:93:18]
        f16(a, b)
        [1.2, -5.3, 3.4, 4.5][86:9:22]
        f8(a, b)
        f13(iter, b)
        [1.2, -5.3, 3.4, 4.5][34:73:100]
        f9(iter, b)
        f17(a, b)
        [1.2, -5.3, 3.4, 4.5][97:71:33]
    for iter in range(a):
        [1.2, -5.3, 3.4, 4.5][28:13:11]
        [1.2, -5.3, 3.4, 4.5][61:17:96]
        [1.2, -5.3, 3.4, 4.5][33:20:50]
        [1.2, -5.3, 3.4, 4.5][92:74:86]
        f1(iter, b)
    if (a > b):
        [1.2, -5.3, 3.4, 4.5][72:44:43]
    else:
        [1.2, -5.3, 3.4, 4.5][63:19:85]
    

@kernel
def f3(a: int32, b: int32):
    for iter in range(10):
        [1.2, -5.3, 3.4, 4.5][51:50:84]
        f11(a, b)
        [1.2, -5.3, 3.4, 4.5][58:78:8]
        [1.2, -5.3, 3.4, 4.5][88:45:92]
        f1(a, b)
        [1.2, -5.3, 3.4, 4.5][16:74:56]
        f2(iter, b)
        f7(iter, b)
        [1.2, -5.3, 3.4, 4.5][97:49:82]
        f8(iter, b)
        f18(iter, b)
        f5(a, b)
        [1.2, -5.3, 3.4, 4.5][98:89:6]
        f12(a, b)
        f3(a, b)
        f10(a, b)
        [1.2, -5.3, 3.4, 4.5][59:61:41]
        f1(iter, b)
        f11(a, b)
        f12(a, b)
        f7(iter, b)
        f11(iter, b)
        f17(iter, b)
        f5(iter, b)
        f19(a, b)
        [1.2, -5.3, 3.4, 4.5][62:91:99]
        [1.2, -5.3, 3.4, 4.5][34:9:4]
    if ([i for i in range(a + b)][9:14:1][3] > (b * 17)):
        [1.2, -5.3, 3.4, 4.5][85:74:94]
        [1.2, -5.3, 3.4, 4.5][24:83:39]
        f1(a, b)
    else:
        f12(a, b)
        [1.2, -5.3, 3.4, 4.5][49:60:23]
        f7(a, b)
        [1.2, -5.3, 3.4, 4.5][39:63:91]
        f11(a, b)
        [1.2, -5.3, 3.4, 4.5][59:35:80]
    for iter in range(4):
        [1.2, -5.3, 3.4, 4.5][46:23:54]
        f14(iter, b)
        [1.2, -5.3, 3.4, 4.5][53:56:51]
    for iter in range(5):
        [1.2, -5.3, 3.4, 4.5][92:56:11]
        f3(a, b)
        [1.2, -5.3, 3.4, 4.5][6:13:86]
        [1.2, -5.3, 3.4, 4.5][24:20:19]
        [1.2, -5.3, 3.4, 4.5][24:99:40]
        [1.2, -5.3, 3.4, 4.5][81:46:59]
    

@kernel
def f4(a: int32, b: int32):
    if ([i for i in range(a + b)][3:15:2][2] > (b * 2)):
        [1.2, -5.3, 3.4, 4.5][61:73:53]
        f7(a, b)
        [1.2, -5.3, 3.4, 4.5][36:48:44]
    else:
        [1.2, -5.3, 3.4, 4.5][12:89:80]
        f8(a, b)
        f2(a, b)
        f15(a, b)
        [1.2, -5.3, 3.4, 4.5][48:20:2]
        f15(a, b)
        [1.2, -5.3, 3.4, 4.5][92:17:38]
        f5(a, b)
        [1.2, -5.3, 3.4, 4.5][57:50:81]
        f8(a, b)
        [1.2, -5.3, 3.4, 4.5][87:19:8]
        [1.2, -5.3, 3.4, 4.5][47:84:53]
        [1.2, -5.3, 3.4, 4.5][58:68:70]
        f1(a, b)
        [1.2, -5.3, 3.4, 4.5][37:15:27]
        f3(a, b)
        [1.2, -5.3, 3.4, 4.5][5:17:59]
        [1.2, -5.3, 3.4, 4.5][24:47:59]
        [1.2, -5.3, 3.4, 4.5][81:90:18]
        [1.2, -5.3, 3.4, 4.5][30:33:53]
    for iter in range(6):
        [1.2, -5.3, 3.4, 4.5][10:23:51]
        [1.2, -5.3, 3.4, 4.5][44:53:12]
        [1.2, -5.3, 3.4, 4.5][40:49:41]
        f4(iter, b)
    for iter in range(3):
        [1.2, -5.3, 3.4, 4.5][87:96:65]
        f18(a, b)
        [1.2, -5.3, 3.4, 4.5][17:81:4]
        [1.2, -5.3, 3.4, 4.5][25:18:22]
        f6(iter, b)
        f14(iter, b)
        f18(a, b)
        [1.2, -5.3, 3.4, 4.5][77:32:70]
        [1.2, -5.3, 3.4, 4.5][24:21:42]
        f2(a, b)
        f3(a, b)
        f18(iter, b)
        f2(a, b)
        f10(a, b)
        f18(iter, b)
    if (a > b):
        [1.2, -5.3, 3.4, 4.5][74:89:75]
    else:
        f5(a, b)
    

@kernel
def f5(a: int32, b: int32):
    for iter in range(a):
        f11(iter, b)
        [1.2, -5.3, 3.4, 4.5][68:99:24]
        f18(a, b)
        f13(iter, b)
        f12(a, b)
        f12(iter, b)
        [1.2, -5.3, 3.4, 4.5][16:43:66]
    if (b < a):
        [1.2, -5.3, 3.4, 4.5][83:12:50]
        [1.2, -5.3, 3.4, 4.5][52:45:75]
        [1.2, -5.3, 3.4, 4.5][59:5:99]
        f18(a, b)
        [1.2, -5.3, 3.4, 4.5][98:62:100]
        f3(a, b)
        [1.2, -5.3, 3.4, 4.5][83:50:79]
        [1.2, -5.3, 3.4, 4.5][97:99:95]
        f17(a, b)
        [1.2, -5.3, 3.4, 4.5][67:80:12]
        [1.2, -5.3, 3.4, 4.5][83:70:99]
        [1.2, -5.3, 3.4, 4.5][77:82:87]
        f14(a, b)
        f14(a, b)
        f15(a, b)
        f12(a, b)
        [1.2, -5.3, 3.4, 4.5][24:19:85]
        [1.2, -5.3, 3.4, 4.5][100:74:64]
        [1.2, -5.3, 3.4, 4.5][94:72:53]
        f12(a, b)
        [1.2, -5.3, 3.4, 4.5][86:30:52]
    else:
        f14(a, b)
        f2(a, b)
    if (a > b):
        [1.2, -5.3, 3.4, 4.5][74:83:61]
    else:
        [1.2, -5.3, 3.4, 4.5][13:8:64]
    for iter in range(8):
        [1.2, -5.3, 3.4, 4.5][85:20:1]
        [1.2, -5.3, 3.4, 4.5][46:7:68]
        f8(a, b)
        f9(a, b)
        f19(a, b)
        [1.2, -5.3, 3.4, 4.5][61:53:8]
        f6(iter, b)
        [1.2, -5.3, 3.4, 4.5][73:90:27]
    if (b < a):
        f3(a, b)
    else:
        [1.2, -5.3, 3.4, 4.5][79:41:12]
    

@kernel
def f6(a: int32, b: int32):
    if (b < a):
        [1.2, -5.3, 3.4, 4.5][14:95:78]
        f5(a, b)
        [1.2, -5.3, 3.4, 4.5][35:47:20]
        [1.2, -5.3, 3.4, 4.5][57:99:49]
        f0(a, b)
        [1.2, -5.3, 3.4, 4.5][91:27:54]
        f8(a, b)
        [1.2, -5.3, 3.4, 4.5][13:100:39]
    else:
        [1.2, -5.3, 3.4, 4.5][39:89:21]
        f19(a, b)
        [1.2, -5.3, 3.4, 4.5][60:10:84]
        f13(a, b)
        f17(a, b)
        f4(a, b)
        f11(a, b)
        [1.2, -5.3, 3.4, 4.5][93:2:2]
        f5(a, b)
        [1.2, -5.3, 3.4, 4.5][3:40:87]
        f15(a, b)
        [1.2, -5.3, 3.4, 4.5][67:87:90]
        [1.2, -5.3, 3.4, 4.5][85:22:91]
        [1.2, -5.3, 3.4, 4.5][23:97:25]
        f9(a, b)
        f6(a, b)
        f12(a, b)
        f4(a, b)
        f12(a, b)
        [1.2, -5.3, 3.4, 4.5][34:21:66]
        f13(a, b)
        [1.2, -5.3, 3.4, 4.5][99:47:15]
        f4(a, b)
        [1.2, -5.3, 3.4, 4.5][17:3:87]
        [1.2, -5.3, 3.4, 4.5][27:52:13]
        f0(a, b)
        [1.2, -5.3, 3.4, 4.5][35:63:14]
        [1.2, -5.3, 3.4, 4.5][46:28:75]
        [1.2, -5.3, 3.4, 4.5][8:14:92]
        [1.2, -5.3, 3.4, 4.5][5:98:56]
        [1.2, -5.3, 3.4, 4.5][57:80:81]
        [1.2, -5.3, 3.4, 4.5][50:38:3]
        f14(a, b)
        f2(a, b)
        f8(a, b)
        [1.2, -5.3, 3.4, 4.5][63:51:46]
    for iter in range(a):
        f9(iter, b)
        [1.2, -5.3, 3.4, 4.5][63:47:18]
        f2(a, b)
    

@kernel
def f7(a: int32, b: int32):
    if ([i for i in range(a + b)][9:17:3][5] > (b * 9)):
        [1.2, -5.3, 3.4, 4.5][68:44:35]
        f18(a, b)
        f19(a, b)
        [1.2, -5.3, 3.4, 4.5][76:26:11]
        f9(a, b)
        [1.2, -5.3, 3.4, 4.5][52:4:23]
        [1.2, -5.3, 3.4, 4.5][31:24:97]
        [1.2, -5.3, 3.4, 4.5][9:87:20]
    else:
        [1.2, -5.3, 3.4, 4.5][88:31:24]
        [1.2, -5.3, 3.4, 4.5][21:23:9]
        [1.2, -5.3, 3.4, 4.5][2:86:40]
        [1.2, -5.3, 3.4, 4.5][73:83:66]
        f11(a, b)
        [1.2, -5.3, 3.4, 4.5][9:55:61]
        [1.2, -5.3, 3.4, 4.5][50:58:11]
        [1.2, -5.3, 3.4, 4.5][25:6:33]
        [1.2, -5.3, 3.4, 4.5][35:22:25]
        f14(a, b)
        [1.2, -5.3, 3.4, 4.5][40:12:25]
        f12(a, b)
        [1.2, -5.3, 3.4, 4.5][89:28:76]
        [1.2, -5.3, 3.4, 4.5][88:92:15]
        [1.2, -5.3, 3.4, 4.5][40:82:54]
        [1.2, -5.3, 3.4, 4.5][39:72:70]
        f8(a, b)
        f3(a, b)
        f19(a, b)
        f17(a, b)
        f14(a, b)
        f11(a, b)
        [1.2, -5.3, 3.4, 4.5][45:49:64]
        f13(a, b)
    if (a > b):
        f15(a, b)
        f7(a, b)
        f10(a, b)
        f5(a, b)
    else:
        f15(a, b)
        [1.2, -5.3, 3.4, 4.5][21:40:69]
        [1.2, -5.3, 3.4, 4.5][14:57:28]
        [1.2, -5.3, 3.4, 4.5][42:75:90]
        [1.2, -5.3, 3.4, 4.5][71:98:33]
    if (a > b):
        [1.2, -5.3, 3.4, 4.5][25:55:48]
        [1.2, -5.3, 3.4, 4.5][77:18:2]
    else:
        [1.2, -5.3, 3.4, 4.5][2:84:86]
    

@kernel
def f8(a: int32, b: int32):
    if ([i for i in range(a + b)][8:15:3][3] > (b * 20)):
        [1.2, -5.3, 3.4, 4.5][50:96:89]
        f14(a, b)
        [1.2, -5.3, 3.4, 4.5][57:68:46]
        f1(a, b)
        f7(a, b)
        f6(a, b)
        [1.2, -5.3, 3.4, 4.5][63:66:23]
        f1(a, b)
        [1.2, -5.3, 3.4, 4.5][47:6:97]
        [1.2, -5.3, 3.4, 4.5][18:92:66]
        f19(a, b)
        [1.2, -5.3, 3.4, 4.5][34:35:62]
        [1.2, -5.3, 3.4, 4.5][43:18:48]
        f1(a, b)
        [1.2, -5.3, 3.4, 4.5][26:65:2]
        [1.2, -5.3, 3.4, 4.5][99:50:73]
        [1.2, -5.3, 3.4, 4.5][11:83:40]
        f4(a, b)
        f19(a, b)
        f2(a, b)
        [1.2, -5.3, 3.4, 4.5][67:71:18]
        [1.2, -5.3, 3.4, 4.5][41:95:55]
    else:
        [1.2, -5.3, 3.4, 4.5][58:55:53]
        [1.2, -5.3, 3.4, 4.5][11:4:94]
        f3(a, b)
    if ([i for i in range(a + b)][8:14:1][2] > (b * 4)):
        f12(a, b)
        [1.2, -5.3, 3.4, 4.5][47:20:40]
        [1.2, -5.3, 3.4, 4.5][67:23:78]
    else:
        [1.2, -5.3, 3.4, 4.5][18:92:40]
        f4(a, b)
    if ([i for i in range(a + b)][8:20:1][3] > (b * 22)):
        f10(a, b)
        f14(a, b)
        f0(a, b)
        f15(a, b)
        [1.2, -5.3, 3.4, 4.5][60:4:3]
        [1.2, -5.3, 3.4, 4.5][5:58:3]
    else:
        f13(a, b)
        f5(a, b)
    if (b < a):
        [1.2, -5.3, 3.4, 4.5][65:4:16]
        [1.2, -5.3, 3.4, 4.5][75:7:69]
        [1.2, -5.3, 3.4, 4.5][55:14:61]
    else:
        f10(a, b)
    

@kernel
def f9(a: int32, b: int32):
    if ([i for i in range(a + b)][7:19:2][1] > (b * 11)):
        f14(a, b)
        f13(a, b)
        [1.2, -5.3, 3.4, 4.5][97:41:12]
        f15(a, b)
        [1.2, -5.3, 3.4, 4.5][41:21:9]
        f13(a, b)
        f3(a, b)
        [1.2, -5.3, 3.4, 4.5][10:43:27]
        [1.2, -5.3, 3.4, 4.5][47:30:76]
        [1.2, -5.3, 3.4, 4.5][98:49:27]
        [1.2, -5.3, 3.4, 4.5][1:85:3]
        [1.2, -5.3, 3.4, 4.5][11:30:6]
    else:
        f6(a, b)
        f12(a, b)
        f17(a, b)
        f7(a, b)
        f6(a, b)
        f15(a, b)
        f4(a, b)
    if (b < a):
        f2(a, b)
        [1.2, -5.3, 3.4, 4.5][63:80:61]
        [1.2, -5.3, 3.4, 4.5][10:43:5]
        [1.2, -5.3, 3.4, 4.5][80:70:42]
        f10(a, b)
        [1.2, -5.3, 3.4, 4.5][64:27:58]
    else:
        f15(a, b)
        [1.2, -5.3, 3.4, 4.5][37:96:49]
        f16(a, b)
    for iter in range(5):
        f16(a, b)
        [1.2, -5.3, 3.4, 4.5][33:68:7]
        [1.2, -5.3, 3.4, 4.5][47:21:2]
        [1.2, -5.3, 3.4, 4.5][82:73:49]
        [1.2, -5.3, 3.4, 4.5][6:100:37]
        f10(iter, b)
        f2(a, b)
        [1.2, -5.3, 3.4, 4.5][90:76:55]
        f9(a, b)
        f5(iter, b)
    if ([i for i in range(a + b)][8:10:3][4] > (b * 3)):
        [1.2, -5.3, 3.4, 4.5][61:23:47]
        f13(a, b)
    else:
        f0(a, b)
        f8(a, b)
        f8(a, b)
    

@kernel
def f10(a: int32, b: int32):
    for iter in range(a):
        f19(iter, b)
        [1.2, -5.3, 3.4, 4.5][58:17:68]
        f4(iter, b)
        f1(iter, b)
    if ([i for i in range(a + b)][9:14:3][2] > (b * 9)):
        [1.2, -5.3, 3.4, 4.5][12:90:8]
        f19(a, b)
        [1.2, -5.3, 3.4, 4.5][91:39:83]
        f13(a, b)
        f17(a, b)
    else:
        f16(a, b)
    for iter in range(8):
        [1.2, -5.3, 3.4, 4.5][66:73:20]
        [1.2, -5.3, 3.4, 4.5][68:47:21]
        f11(iter, b)
        [1.2, -5.3, 3.4, 4.5][4:70:8]
        f16(iter, b)
        [1.2, -5.3, 3.4, 4.5][96:21:56]
        [1.2, -5.3, 3.4, 4.5][92:97:90]
        [1.2, -5.3, 3.4, 4.5][30:99:92]
        f11(a, b)
        [1.2, -5.3, 3.4, 4.5][65:11:4]
        f10(a, b)
        [1.2, -5.3, 3.4, 4.5][78:22:65]
        f15(iter, b)
        f4(a, b)
        [1.2, -5.3, 3.4, 4.5][48:22:67]
        [1.2, -5.3, 3.4, 4.5][1:28:37]
        [1.2, -5.3, 3.4, 4.5][49:53:99]
        [1.2, -5.3, 3.4, 4.5][95:28:16]
        f16(iter, b)
        [1.2, -5.3, 3.4, 4.5][18:42:38]
        f1(a, b)
        [1.2, -5.3, 3.4, 4.5][77:87:49]
        [1.2, -5.3, 3.4, 4.5][51:60:27]
        [1.2, -5.3, 3.4, 4.5][19:40:93]
        [1.2, -5.3, 3.4, 4.5][98:64:5]
        [1.2, -5.3, 3.4, 4.5][8:39:89]
        f13(iter, b)
        [1.2, -5.3, 3.4, 4.5][5:81:74]
        [1.2, -5.3, 3.4, 4.5][60:10:70]
        [1.2, -5.3, 3.4, 4.5][13:72:21]
        [1.2, -5.3, 3.4, 4.5][89:11:78]
    if (b < a):
        [1.2, -5.3, 3.4, 4.5][44:46:47]
        [1.2, -5.3, 3.4, 4.5][25:43:65]
    else:
        f3(a, b)
    

@kernel
def f11(a: int32, b: int32):
    if (a > b):
        [1.2, -5.3, 3.4, 4.5][22:27:72]
        [1.2, -5.3, 3.4, 4.5][24:49:71]
        [1.2, -5.3, 3.4, 4.5][20:71:72]
        f10(a, b)
    else:
        [1.2, -5.3, 3.4, 4.5][34:61:63]
        [1.2, -5.3, 3.4, 4.5][32:26:59]
        [1.2, -5.3, 3.4, 4.5][7:18:86]
        [1.2, -5.3, 3.4, 4.5][7:50:6]
        [1.2, -5.3, 3.4, 4.5][43:8:64]
        [1.2, -5.3, 3.4, 4.5][17:8:83]
        [1.2, -5.3, 3.4, 4.5][72:78:89]
        [1.2, -5.3, 3.4, 4.5][49:36:76]
    if (b < a):
        [1.2, -5.3, 3.4, 4.5][16:100:2]
    else:
        [1.2, -5.3, 3.4, 4.5][69:50:70]
        f13(a, b)
        [1.2, -5.3, 3.4, 4.5][52:98:93]
    if (a > b):
        f14(a, b)
        f1(a, b)
        [1.2, -5.3, 3.4, 4.5][72:28:59]
    else:
        f0(a, b)
        [1.2, -5.3, 3.4, 4.5][30:49:34]
        [1.2, -5.3, 3.4, 4.5][62:33:95]
        [1.2, -5.3, 3.4, 4.5][40:79:30]
        [1.2, -5.3, 3.4, 4.5][6:60:37]
        f10(a, b)
        f1(a, b)
        f8(a, b)
        [1.2, -5.3, 3.4, 4.5][31:29:98]
        f1(a, b)
        [1.2, -5.3, 3.4, 4.5][22:92:57]
        f3(a, b)
        f6(a, b)
        f10(a, b)
        [1.2, -5.3, 3.4, 4.5][21:82:69]
        [1.2, -5.3, 3.4, 4.5][37:28:22]
        f10(a, b)
        [1.2, -5.3, 3.4, 4.5][85:72:18]
    if ([i for i in range(a + b)][2:21:1][4] > (b * 6)):
        [1.2, -5.3, 3.4, 4.5][79:36:42]
    else:
        f10(a, b)
        f4(a, b)
        [1.2, -5.3, 3.4, 4.5][91:8:6]
        f8(a, b)
    

@kernel
def f12(a: int32, b: int32):
    if (a > b):
        f17(a, b)
        [1.2, -5.3, 3.4, 4.5][89:21:51]
        [1.2, -5.3, 3.4, 4.5][23:53:12]
        f1(a, b)
        f17(a, b)
        [1.2, -5.3, 3.4, 4.5][67:87:69]
        f18(a, b)
        [1.2, -5.3, 3.4, 4.5][99:20:91]
        f7(a, b)
        f13(a, b)
        f16(a, b)
        [1.2, -5.3, 3.4, 4.5][75:45:37]
        f16(a, b)
    else:
        f13(a, b)
        f17(a, b)
        [1.2, -5.3, 3.4, 4.5][80:45:49]
        f10(a, b)
        f8(a, b)
        f19(a, b)
        [1.2, -5.3, 3.4, 4.5][1:57:15]
        f8(a, b)
        f19(a, b)
        f5(a, b)
        [1.2, -5.3, 3.4, 4.5][51:91:6]
        [1.2, -5.3, 3.4, 4.5][32:89:90]
    if (b < a):
        f6(a, b)
        [1.2, -5.3, 3.4, 4.5][91:62:37]
        [1.2, -5.3, 3.4, 4.5][48:31:57]
    else:
        [1.2, -5.3, 3.4, 4.5][39:13:89]
        f10(a, b)
        f12(a, b)
        [1.2, -5.3, 3.4, 4.5][54:39:43]
        f11(a, b)
    if (b < a):
        f1(a, b)
        f13(a, b)
    else:
        f11(a, b)
    for iter in range(7):
        f4(a, b)
        [1.2, -5.3, 3.4, 4.5][43:16:88]
        [1.2, -5.3, 3.4, 4.5][48:89:66]
        f8(a, b)
        [1.2, -5.3, 3.4, 4.5][88:86:98]
        [1.2, -5.3, 3.4, 4.5][16:29:78]
        f8(a, b)
    

@kernel
def f13(a: int32, b: int32):
    if (a > b):
        f3(a, b)
        f2(a, b)
        [1.2, -5.3, 3.4, 4.5][3:99:75]
        f5(a, b)
        f16(a, b)
        f12(a, b)
        f12(a, b)
        [1.2, -5.3, 3.4, 4.5][21:99:51]
    else:
        [1.2, -5.3, 3.4, 4.5][2:7:95]
        f4(a, b)
        [1.2, -5.3, 3.4, 4.5][6:61:59]
        [1.2, -5.3, 3.4, 4.5][6:27:42]
        f9(a, b)
        [1.2, -5.3, 3.4, 4.5][57:31:49]
        f19(a, b)
        [1.2, -5.3, 3.4, 4.5][87:43:33]
        [1.2, -5.3, 3.4, 4.5][64:15:14]
        f2(a, b)
        f13(a, b)
        [1.2, -5.3, 3.4, 4.5][12:54:57]
        f15(a, b)
        [1.2, -5.3, 3.4, 4.5][51:69:78]
    if ([i for i in range(a + b)][8:11:3][3] > (b * 16)):
        [1.2, -5.3, 3.4, 4.5][93:31:92]
        [1.2, -5.3, 3.4, 4.5][54:77:5]
        [1.2, -5.3, 3.4, 4.5][87:86:86]
        f19(a, b)
        [1.2, -5.3, 3.4, 4.5][81:37:18]
        [1.2, -5.3, 3.4, 4.5][98:3:19]
        f0(a, b)
        [1.2, -5.3, 3.4, 4.5][61:66:60]
        f1(a, b)
        [1.2, -5.3, 3.4, 4.5][62:30:52]
        f12(a, b)
        f14(a, b)
        f18(a, b)
        f6(a, b)
    else:
        [1.2, -5.3, 3.4, 4.5][41:70:62]
    if (a > b):
        [1.2, -5.3, 3.4, 4.5][50:12:14]
    else:
        [1.2, -5.3, 3.4, 4.5][98:17:31]
    for iter in range(a):
        f6(iter, b)
        [1.2, -5.3, 3.4, 4.5][57:15:64]
        f12(iter, b)
        f2(a, b)
    

@kernel
def f14(a: int32, b: int32):
    for iter in range(b):
        [1.2, -5.3, 3.4, 4.5][35:36:6]
        [1.2, -5.3, 3.4, 4.5][14:52:89]
        f8(iter, b)
        f1(iter, b)
        [1.2, -5.3, 3.4, 4.5][24:56:85]
        [1.2, -5.3, 3.4, 4.5][87:34:52]
        [1.2, -5.3, 3.4, 4.5][55:66:33]
        f18(a, b)
        [1.2, -5.3, 3.4, 4.5][48:44:51]
        f12(a, b)
        [1.2, -5.3, 3.4, 4.5][52:80:5]
        [1.2, -5.3, 3.4, 4.5][94:95:27]
    for iter in range(a):
        [1.2, -5.3, 3.4, 4.5][22:28:33]
        [1.2, -5.3, 3.4, 4.5][46:97:52]
        [1.2, -5.3, 3.4, 4.5][12:27:35]
        f4(a, b)
        [1.2, -5.3, 3.4, 4.5][75:24:100]
        f10(iter, b)
        f17(iter, b)
        f0(a, b)
        [1.2, -5.3, 3.4, 4.5][10:75:5]
        f7(a, b)
        [1.2, -5.3, 3.4, 4.5][51:15:59]
        [1.2, -5.3, 3.4, 4.5][22:5:98]
        f15(iter, b)
        f6(iter, b)
        [1.2, -5.3, 3.4, 4.5][12:37:2]
        f18(a, b)
        [1.2, -5.3, 3.4, 4.5][52:55:30]
        f1(iter, b)
        [1.2, -5.3, 3.4, 4.5][51:30:15]
        [1.2, -5.3, 3.4, 4.5][35:30:14]
        [1.2, -5.3, 3.4, 4.5][73:97:93]
        [1.2, -5.3, 3.4, 4.5][82:66:51]
        f3(a, b)
        f0(iter, b)
        f3(iter, b)
    if (b < a):
        f3(a, b)
        [1.2, -5.3, 3.4, 4.5][87:42:62]
    else:
        [1.2, -5.3, 3.4, 4.5][7:20:43]
        [1.2, -5.3, 3.4, 4.5][10:17:28]
    if (a > b):
        [1.2, -5.3, 3.4, 4.5][15:22:17]
        [1.2, -5.3, 3.4, 4.5][99:67:56]
    else:
        f8(a, b)
    

@kernel
def f15(a: int32, b: int32):
    for iter in range(a):
        f15(a, b)
        [1.2, -5.3, 3.4, 4.5][8:98:29]
        f9(a, b)
        f19(a, b)
        f4(iter, b)
        [1.2, -5.3, 3.4, 4.5][3:66:50]
        f19(iter, b)
        [1.2, -5.3, 3.4, 4.5][44:30:100]
        [1.2, -5.3, 3.4, 4.5][48:85:61]
        f8(iter, b)
        f2(a, b)
        f7(a, b)
        [1.2, -5.3, 3.4, 4.5][97:74:31]
        [1.2, -5.3, 3.4, 4.5][16:4:78]
        f5(iter, b)
        f5(iter, b)
        [1.2, -5.3, 3.4, 4.5][97:57:18]
        [1.2, -5.3, 3.4, 4.5][25:81:52]
        [1.2, -5.3, 3.4, 4.5][4:11:9]
        [1.2, -5.3, 3.4, 4.5][60:78:70]
        [1.2, -5.3, 3.4, 4.5][22:37:21]
        f19(iter, b)
        [1.2, -5.3, 3.4, 4.5][52:17:96]
        [1.2, -5.3, 3.4, 4.5][75:3:78]
        [1.2, -5.3, 3.4, 4.5][6:56:98]
        f14(iter, b)
        [1.2, -5.3, 3.4, 4.5][25:63:86]
        f5(iter, b)
        f0(iter, b)
    if (b < a):
        f17(a, b)
        [1.2, -5.3, 3.4, 4.5][23:51:34]
        [1.2, -5.3, 3.4, 4.5][32:36:25]
    else:
        f12(a, b)
    for iter in range(4):
        f2(iter, b)
        [1.2, -5.3, 3.4, 4.5][20:47:15]
        f14(iter, b)
        f6(iter, b)
        f2(iter, b)
        [1.2, -5.3, 3.4, 4.5][47:49:83]
        [1.2, -5.3, 3.4, 4.5][84:4:74]
        [1.2, -5.3, 3.4, 4.5][50:47:15]
        f9(a, b)
    if (b < a):
        [1.2, -5.3, 3.4, 4.5][56:24:98]
    else:
        f0(a, b)
    

@kernel
def f16(a: int32, b: int32):
    for iter in range(b):
        f3(iter, b)
        f5(a, b)
        f7(iter, b)
        f5(a, b)
        f15(a, b)
        [1.2, -5.3, 3.4, 4.5][7:18:72]
        [1.2, -5.3, 3.4, 4.5][29:72:42]
        [1.2, -5.3, 3.4, 4.5][26:8:13]
        f6(iter, b)
        f19(a, b)
        [1.2, -5.3, 3.4, 4.5][77:41:16]
        [1.2, -5.3, 3.4, 4.5][5:32:41]
        [1.2, -5.3, 3.4, 4.5][96:13:62]
        [1.2, -5.3, 3.4, 4.5][35:82:52]
        [1.2, -5.3, 3.4, 4.5][45:77:18]
        f10(a, b)
        f7(a, b)
        f6(iter, b)
    for iter in range(b):
        [1.2, -5.3, 3.4, 4.5][32:49:68]
        [1.2, -5.3, 3.4, 4.5][23:85:35]
        [1.2, -5.3, 3.4, 4.5][37:61:14]
        f14(a, b)
        [1.2, -5.3, 3.4, 4.5][51:7:57]
        [1.2, -5.3, 3.4, 4.5][15:4:4]
        f2(iter, b)
        f17(iter, b)
        f0(a, b)
        [1.2, -5.3, 3.4, 4.5][25:89:94]
        [1.2, -5.3, 3.4, 4.5][18:90:9]
        [1.2, -5.3, 3.4, 4.5][45:16:9]
        f16(iter, b)
        [1.2, -5.3, 3.4, 4.5][37:36:22]
        f8(iter, b)
        f12(iter, b)
        [1.2, -5.3, 3.4, 4.5][47:59:26]
    if (a > b):
        f18(a, b)
        f4(a, b)
    else:
        f8(a, b)
        [1.2, -5.3, 3.4, 4.5][19:56:27]
        f1(a, b)
    if (a > b):
        f19(a, b)
    else:
        [1.2, -5.3, 3.4, 4.5][28:90:38]
        [1.2, -5.3, 3.4, 4.5][32:30:59]
        [1.2, -5.3, 3.4, 4.5][4:65:84]
    

@kernel
def f17(a: int32, b: int32):
    if (b < a):
        f11(a, b)
        [1.2, -5.3, 3.4, 4.5][70:59:36]
        [1.2, -5.3, 3.4, 4.5][29:73:83]
        [1.2, -5.3, 3.4, 4.5][75:60:31]
        f9(a, b)
        f2(a, b)
        [1.2, -5.3, 3.4, 4.5][93:35:6]
        [1.2, -5.3, 3.4, 4.5][12:54:31]
        [1.2, -5.3, 3.4, 4.5][41:90:22]
        f6(a, b)
        [1.2, -5.3, 3.4, 4.5][71:76:40]
        f17(a, b)
        [1.2, -5.3, 3.4, 4.5][2:48:69]
        f7(a, b)
        [1.2, -5.3, 3.4, 4.5][10:8:15]
        [1.2, -5.3, 3.4, 4.5][22:53:63]
        [1.2, -5.3, 3.4, 4.5][14:72:65]
    else:
        f14(a, b)
        [1.2, -5.3, 3.4, 4.5][56:82:21]
        [1.2, -5.3, 3.4, 4.5][78:81:56]
    if ([i for i in range(a + b)][3:24:2][1] > (b * 16)):
        f9(a, b)
        [1.2, -5.3, 3.4, 4.5][37:18:32]
        f13(a, b)
        f14(a, b)
        [1.2, -5.3, 3.4, 4.5][8:53:24]
    else:
        [1.2, -5.3, 3.4, 4.5][8:91:4]
        [1.2, -5.3, 3.4, 4.5][25:60:12]
        f10(a, b)
        f2(a, b)
        [1.2, -5.3, 3.4, 4.5][37:12:44]
        [1.2, -5.3, 3.4, 4.5][80:83:69]
        [1.2, -5.3, 3.4, 4.5][56:11:95]
        f11(a, b)
    for iter in range(4):
        [1.2, -5.3, 3.4, 4.5][93:73:93]
        [1.2, -5.3, 3.4, 4.5][94:49:8]
        f19(iter, b)
        [1.2, -5.3, 3.4, 4.5][51:77:20]
        f5(a, b)
    for iter in range(a):
        [1.2, -5.3, 3.4, 4.5][43:42:68]
        f16(a, b)
        [1.2, -5.3, 3.4, 4.5][63:72:73]
        f8(iter, b)
        f7(a, b)
        [1.2, -5.3, 3.4, 4.5][72:79:18]
    

@kernel
def f18(a: int32, b: int32):
    for iter in range(2):
        f17(a, b)
        f11(a, b)
        [1.2, -5.3, 3.4, 4.5][20:78:59]
        f13(a, b)
        f0(iter, b)
        [1.2, -5.3, 3.4, 4.5][91:35:14]
        [1.2, -5.3, 3.4, 4.5][47:6:75]
        [1.2, -5.3, 3.4, 4.5][21:43:61]
        f5(a, b)
        [1.2, -5.3, 3.4, 4.5][81:50:32]
        f12(a, b)
        [1.2, -5.3, 3.4, 4.5][75:1:94]
        f16(a, b)
    if ([i for i in range(a + b)][8:21:3][3] > (b * 10)):
        f9(a, b)
    else:
        [1.2, -5.3, 3.4, 4.5][81:65:79]
        [1.2, -5.3, 3.4, 4.5][91:90:1]
        f16(a, b)
        f8(a, b)
        [1.2, -5.3, 3.4, 4.5][87:28:6]
    for iter in range(a):
        [1.2, -5.3, 3.4, 4.5][13:95:2]
        f0(iter, b)
        f2(iter, b)
        f12(a, b)
        f17(iter, b)
        f16(a, b)
        [1.2, -5.3, 3.4, 4.5][36:39:51]
        f17(iter, b)
        [1.2, -5.3, 3.4, 4.5][97:31:45]
        [1.2, -5.3, 3.4, 4.5][55:9:97]
        [1.2, -5.3, 3.4, 4.5][56:46:94]
        f13(a, b)
    if (a > b):
        [1.2, -5.3, 3.4, 4.5][98:75:61]
        [1.2, -5.3, 3.4, 4.5][93:80:14]
        f8(a, b)
        f9(a, b)
    else:
        f7(a, b)
        [1.2, -5.3, 3.4, 4.5][68:59:75]
        [1.2, -5.3, 3.4, 4.5][43:42:54]
    if ([i for i in range(a + b)][4:18:1][4] > (b * 4)):
        f8(a, b)
        [1.2, -5.3, 3.4, 4.5][53:97:28]
        f12(a, b)
    else:
        f16(a, b)
    

@kernel
def f19(a: int32, b: int32):
    for iter in range(a):
        [1.2, -5.3, 3.4, 4.5][90:33:88]
        f19(a, b)
        f10(a, b)
        [1.2, -5.3, 3.4, 4.5][84:83:42]
        f16(a, b)
        f15(a, b)
        [1.2, -5.3, 3.4, 4.5][73:14:53]
        [1.2, -5.3, 3.4, 4.5][36:36:97]
        [1.2, -5.3, 3.4, 4.5][13:85:34]
        [1.2, -5.3, 3.4, 4.5][46:57:17]
        [1.2, -5.3, 3.4, 4.5][34:5:86]
        f17(a, b)
        f15(iter, b)
        f1(iter, b)
        f11(iter, b)
        [1.2, -5.3, 3.4, 4.5][16:30:74]
        f19(iter, b)
        f16(a, b)
        f9(a, b)
        [1.2, -5.3, 3.4, 4.5][54:95:19]
    for iter in range(b):
        f16(iter, b)
        [1.2, -5.3, 3.4, 4.5][36:8:67]
        f11(a, b)
        f16(a, b)
        [1.2, -5.3, 3.4, 4.5][45:82:97]
        f5(iter, b)
        f11(a, b)
        [1.2, -5.3, 3.4, 4.5][82:67:33]
        [1.2, -5.3, 3.4, 4.5][5:73:53]
        [1.2, -5.3, 3.4, 4.5][84:73:26]
        f13(a, b)
        [1.2, -5.3, 3.4, 4.5][49:26:5]
        [1.2, -5.3, 3.4, 4.5][73:91:93]
    if (b < a):
        [1.2, -5.3, 3.4, 4.5][42:46:16]
        f16(a, b)
    else:
        [1.2, -5.3, 3.4, 4.5][30:67:35]
        [1.2, -5.3, 3.4, 4.5][18:11:18]
        [1.2, -5.3, 3.4, 4.5][23:72:88]
        f9(a, b)
        f13(a, b)
        f14(a, b)
        f9(a, b)
    for iter in range(b):
        f13(iter, b)
        [1.2, -5.3, 3.4, 4.5][79:21:56]
        [1.2, -5.3, 3.4, 4.5][64:79:42]
    