from random import randint

INDENT = " " * 4
OBJS = ["aa", "self.a", "self.b"]
MEMBERS = ["self.a", "self.b"]
CANDIDATES = [
    lambda x = None: f"[1.2, -5.3, 3.4, 4.5][{randint(1,100)}:{randint(1,100)}:{randint(1,100)}]",
]

def gen_if(lines_num, candidates):
    assert lines_num >= 4
    lines_num = lines_num - 2

    condition_candidates = [
        lambda: "a > b",
        lambda: "b < a",
        lambda: f"[i for i in range(a + b)][{randint(2, 10)}:{randint(10, 24)}:{randint(1, 3)}][{randint(1, 5)}] > (b * {randint(1, 24)})",
    ]

    then_stmt_cnt = randint(1, lines_num - 1)
    else_stmt_cnt = lines_num - then_stmt_cnt

    result = f"if ({condition_candidates[randint(0, len(condition_candidates) - 1)]()}):"
    for _ in range(then_stmt_cnt):
        result += f"\n{INDENT}"
        result += candidates[randint(0, len(candidates) - 1)]()
    result += "\nelse:"
    for _ in range(else_stmt_cnt):
        result += f"\n{INDENT}"
        result += candidates[randint(0, len(candidates) - 1)]()
    
    return result


def gen_for(lines_num, candidates):
    assert lines_num > 1
    lines_num = lines_num - 1

    range_candidates = [
        "range(a)",
        "range(b)",
        f"range({randint(2, 10)})",
    ]
    
    result = f"for iter in {range_candidates[randint(0, len(range_candidates) - 1)]}:"

    for _ in range(lines_num):
        result += f"\n{INDENT}"
        result += candidates[randint(0, len(candidates) - 1)]("iter")

    return result

# print(gen_for(10))

def gen_body(lines_num, candidates):
    assert lines_num >= 4
    lengths = []
    while True:
        if lines_num > 8:
            current_len = randint(4, lines_num - 4)
            lengths += [current_len]
            lines_num -= current_len
        else:
            lengths += [lines_num]
            break
    
    result = ""
    for l in lengths:
        if randint(0, 1) == 1:
            result += gen_if(l, candidates)
            result += "\n"
        else:
            result += gen_for(l, candidates)
            result += "\n"
    
    return result


def gen_functions(num_func, num_stmts, candidates):
    candidates *= num_func
    candidates += [lambda x = None, n = n: f"f{n}({'a' if (x is None) else ('a' if randint(0, 1) == 1 else x)}, b)" for n in range(num_func)]
    assert num_stmts > 4 * num_func

    bodies = []
    for f_count in range(num_func):
        if f_count == num_func - 1:
            bodies += [gen_body(num_stmts, candidates)]
        else:
            this_num_stmts = num_stmts // (num_func - f_count)
            bodies += [gen_body(this_num_stmts, candidates)]
            num_stmts -= this_num_stmts
    
    # nac3
    result_1 = ""
    for f_count in range(num_func):
        result_1 += f"\n\n@kernel\ndef f{f_count}(a{': int32' if True else ''}, b{': int32' if True else ''}):\n"
        result_1 += "\n".join([f"{INDENT}{b}" for b in bodies[f_count].split("\n")])

    return result_1


nac3root = "/home/cresc/code/nac3/work1/artiq/artiq/examples/nac3devices/tests/"
nac3 = "".join(open(nac3root + "/0.py", "r").readlines())

for funcs in range(10, 151, 10):
    res = gen_functions(funcs, funcs * 50, CANDIDATES[:])

    common_append = "\n".join([f"{INDENT}{INDENT}f{n}(24, 36)" for n in range(funcs)])
    
    nac3_append = common_append + res
    nac3_file_name = f"/benchmark/{funcs}.py"
    nac3_file = open(nac3root + nac3_file_name, "w+")
    nac3_file.write(nac3 + nac3_append)
    nac3_file.close()